#!/bin/bash

# 脚本名称
SCRIPT_NAME="db_migrate.py"

# 打包后的输出目录
DIST_DIR="./dist"
BUILD_DIR="./build"

# 打包命令
package() {
    echo "开始打包 $SCRIPT_NAME ..."
    pyinstaller --onefile "$SCRIPT_NAME"
    echo "打包完成."
}

# 清理命令
clean() {
    echo "开始清理打包生成的文件..."
    rm -rf "$DIST_DIR" "$BUILD_DIR" "${SCRIPT_NAME%.*}.spec"
    echo "清理完成."
}

# 根据传入的命令参数执行对应的函数
case "$1" in
    package)
        package
        ;;
    clean)
        clean
        ;;
    *)
        echo "未知命令: $1"
        echo "支持的命令: package, clean"
        exit 1
        ;;
esac
